import java.util.List;

public class Picture {
	private String filename;
	private List<LED> leds;
	private double expectedDx;
	private double expectedDy;
	private double expectedDz;
	private double expectedRoll;
	private double expectedPitch;
	private double expectedYaw;
	
	public Picture(String filename, List<LED> leds, double expectedDx,
			double expectedDy, double expectedDz, double expectedRoll,
			double expectedPitch, double expectedYaw) {
		super();
		this.filename = filename;
		this.leds = leds;
		this.expectedDx = expectedDx;
		this.expectedDy = expectedDy;
		this.expectedDz = expectedDz;
		this.expectedRoll = expectedRoll;
		this.expectedPitch = expectedPitch;
		this.expectedYaw = expectedYaw;
	}
	
	public String getFilename() {
		return filename;
	}

	public List<LED> getLeds() {
		return leds;
	}

	public double getExpectedDx() {
		return expectedDx;
	}

	public double getExpectedDy() {
		return expectedDy;
	}

	public double getExpectedDz() {
		return expectedDz;
	}

	public double getExpectedRoll() {
		return expectedRoll;
	}

	public double getExpectedPitch() {
		return expectedPitch;
	}

	public double getExpectedYaw() {
		return expectedYaw;
	}
}
