package head_tracker;
import org.opencv.core.Mat;
import org.opencv.core.Point;

public class ColoredImagePatch {
	private Point center;
	
	private Mat histR;
	private Mat histG;
	private Mat histB;
	
	public ColoredImagePatch(Point center, Mat histR, Mat histG, Mat histB) {
		this.center = center;
		this.histR = histR;
		this.histG = histG;
		this.histB = histB;
	}

	public Point getCenter() {
		return center;
	}

	public Mat getHistR() {
		return histR;
	}

	public Mat getHistG() {
		return histG;
	}

	public Mat getHistB() {
		return histB;
	}
}
