package head_tracker;
public class Node {
	private ColoredImagePatchMatch match;
	
	private double distance;
	private Node previous;
	
	public Node(ColoredImagePatchMatch match) {
		this.match = match;
		distance = Double.MAX_VALUE;
		previous = null;
	}
	public ColoredImagePatchMatch getMatch() {
		return match;
	}
	
	public void setDistance(double distance) {
		this.distance = distance;
	}
	public double getDistance() {
		return distance;
	}
	
	public Node getPrevious() {
		return previous;
	}
	public void setPrevious(Node previous) {
		this.previous = previous;
	}
}